/* an example of a history side bar plugin for SkipStone
 * Maher <muhri@muhri.net> */

#include "../../src/skipstone.h"
static gint state_shown = 1;
static void create_plugin(SkipStone *skipstone);
static GtkWidget *create_config(void);
static void save_config(GtkWidget *my_widget);


/* convienince macros & definitions */

#define PLUGIN_NAME "ThumbSideBar"

static SkipStonePlugin plugin =
{
	  PLUGIN_NAME, /* plugin name */
	  PLUGIN_RIGHT_OF_MOZEMBED, /* position left of embedding widget */
	  create_plugin,/* create plugin function */
       	  create_config,
       	  save_config,
	  1 /* do we create this plugin for each window */
};

static void save_config(GtkWidget *my_widget)
{

     GtkWidget *shown;
     g_return_if_fail( my_widget != NULL );
     shown=gtk_object_get_data(GTK_OBJECT(my_widget), "state");
     state_shown=gtk_toggle_button_get_active(GTK_TOGGLE_BUTTON(shown));
     skipstone_set_config_value_as_int(PLUGIN_NAME,"state",state_shown);
}

static GtkWidget *create_config(void)
{
     GtkWidget *retval, *shown;
     shown = gtk_check_button_new_with_label("Show ThumbSideBar?");
     gtk_toggle_button_set_active(GTK_TOGGLE_BUTTON(shown),
				  skipstone_get_config_value_as_int
				  (PLUGIN_NAME,"state"));
     retval=gtk_vbox_new(FALSE,5);
     gtk_object_set_data(GTK_OBJECT(retval), "state", shown);
     gtk_box_pack_start(GTK_BOX(retval), shown, FALSE, FALSE, 0);
     gtk_widget_show_all(retval);
     return retval;
}

static void create_plugin(SkipStone *skipstone)
{

	return;
}


SkipStonePlugin *init_plugin(void)
{
	/* get config here */
	state_shown = skipstone_get_config_value_as_int(PLUGIN_NAME,"state");
	if (state_shown == -1) { /* it wasn't set before */
		state_shown = 1;	
		skipstone_set_config_value_as_int(PLUGIN_NAME,"state",state_shown);
	}
	return &plugin;
}

